port austin bank header

 

Due to recent security updates made by our online banking partners, older versions of internet browsers are no longer compatible with our online banking system. Online banking customers will need to verify that they are using an internet browser that is compatible with our online banking system.

How to get the most up-to-date version of your internet browser.

The links below will direct you to the browser provider where you can download the most up-to-date browser for your computer's operating system.

Operating systems that are no longer supported:

  • Windows XP and below (includes Windows Vista and Windows 98)

Operating systems that are supported:

  • Windows 7, 8.0, 8.1 and 10
  • Mac OS X 10.9 (Mavericks) and higher
  • iOS 5 and higher

Browsers that are supported:

  • Microsoft Edge
  • Internet Explorer 11
  • Internet Explorer 9 and 10 when run in Windows 7 or newer (see below)
  • Mozilla Firefox 27 and higher
  • Google Chrome 38 and higher
  • Apple Safari for OS X 10.9 (Mavericks) and higher
  • Apple Safari for iOS 5 and higher

If you are using Internet Explorer Version 9 or 10, you may have to enable TLS 1.2. Here are the instructions for doing that.

  1. Open Internet Explorer
  2. Select Tools > Internet Options
  3. Select the Advanced tab
  4. Scroll to the Security section
  5. Check the “Use TLS 1.2” checkbox to use strict encryption
  6. Click OK



Copyright © 2013 Port Austin State Bank - All Rights Reserved - Please report site errors to: j.a.natzel design